Orxonox: OIS::MouseState Class Reference

# OIS::MouseState Class Reference

`#include <src/ois/OISMouse.h>`

List of all members.

## Public Member Functions

bool | buttonDown (MouseButtonID button) const
| Button down test.
void | clear ()
| Clear all the values.
| MouseState ()

## Public Attributes

int | buttons
| represents all buttons - bit position indicates button down
int | height
int | width
Axis | X
| X Axis component.
Axis | Y
| Y Axis Component.
Axis | Z
| Z Axis Component.

## Detailed Description

Represents the state of the mouse All members are valid for both buffered and non buffered mode

## Constructor & Destructor Documentation

OIS::MouseState::MouseState | ( |  | ) | `[inline]`

## Member Function Documentation

bool OIS::MouseState::buttonDown | ( | MouseButtonID | button | ) | const`[inline]`

Button down test.

References orxonox::KeyCode::L.

void OIS::MouseState::clear | ( |  | ) | `[inline]`

Clear all the values.

References orxonox::MouseAxisCode::X, orxonox::MouseAxisCode::Y, and orxonox::KeyCode::Z.

Referenced by OIS::Win32Mouse::_initialize(), OIS::MacMouse::_initialize(), OIS::LinuxMouse::_initialize(), and OIS::MacMouse::capture().

## Member Data Documentation

int OIS::MouseState::buttons

represents all buttons - bit position indicates button down

Referenced by OIS::Win32Mouse::_doMouseClick(), OIS::MacMouse::_mouseCallback(), and OIS::LinuxMouse::_processXEvents().

int OIS::MouseState::height`[mutable]`

Referenced by OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), and OIS::MacMouse::capture().

int OIS::MouseState::width`[mutable]`

Represents the height/width of your display area.. used if mouse clipping or mouse grabbed in case of X11 - defaults to 50.. Make sure to set this and change when your size changes..

Referenced by OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), and OIS::MacMouse::capture().

Axis OIS::MouseState::X

X Axis component.

Referenced by OIS::MacMouse::_mouseCallback(), OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), OIS::MacMouse::capture(), and OIS::LinuxMouse::capture().

Axis OIS::MouseState::Y

Y Axis Component.

Referenced by OIS::MacMouse::_mouseCallback(), OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), OIS::MacMouse::capture(), and OIS::LinuxMouse::capture().

Axis OIS::MouseState::Z

Z Axis Component.

Referenced by OIS::MacMouse::_mouseCallback(), OIS::LinuxMouse::_processXEvents(), OIS::Win32Mouse::capture(), OIS::MacMouse::capture(), and OIS::LinuxMouse::capture().

The documentation for this class was generated from the following file:

- src/ois/OISMouse.h